%define		__jar_repack %nil
%define		driver_ver 470.82.01
%define		cuda_major 11.4

%define		_enable_debug_packages %{nil}
%define		debug_package %{nil}

# limit number of parallel cuda process building
%global _smp_ncpus_max 2

Summary:	NVIDIA CUDA Toolkit samples binaries
Name:		nvidia-cuda-toolkit-samples-bins
Version:	11.4.3
Release:	%mkrel 1
License:	Freeware
Group:		Development/Other
Url:		http://www.nvidia.com/cuda/
Requires:	nvidia-current-cuda >= %{driver_ver}
Requires:	nvidia-cuda-toolkit >= %{cuda_major}
Requires:	openmpi
BuildRequires:	nvidia-cuda-toolkit-samples >= %{cuda_major}
BuildRequires:	nvidia-cuda-toolkit >= %{cuda_major}
BuildRequires:	nvidia-cuda-toolkit-devel >= %{cuda_major}
BuildRequires:	glfw-devel
BuildRequires:	glslang
BuildRequires:	glut-devel
BuildRequires:	libgomp-devel
BuildRequires:	mesaegl-devel
BuildRequires:	mesaglesv2-devel
BuildRequires:	openmpi-devel
BuildRequires:	vulkan-devel
BuildRequires:	vulkan-headers
BuildRequires:	x11-server-devel
ExclusiveArch:	x86_64

%global __requires_exclude libcuda.so.1|devel\\(libcuda\\)|devel\\(libcuda\\(64bit\\)\\)|python\\(abi\\)
%global __provides_exclude libcairo.so.2

# Avoid exposing dependecies of bundled libQt libraries and other stuff coming from nvvp and nsight
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^libQt5|^libboost_.*\\.so|^libcrypto|^libicudata|^libicuuc|^libicui18n|^libssl\\.so|^libprotobuf|^libqgif|^libqico|^libqjpeg|libqsvg|libqtga|libqtiff|libqwbmp|libqxcb|^libspawner|^libstdc++|^libudev|^libunixfile|osgi\\(org.apache.*\\)|osgi\\(org.antlr.*\\)|osgi\\(org.mozilla.*\\)|osgi\\(org.w3c.*\\)|osgi\\(org.eclipse.*\\)|osgi\\(com.ibm.*\\)|osgi\\(javaewah\\)|osgi\\(javax.*\\)|osgi\\(com.sat4.*\\)|osgi\\(com.lowagie.*\\)|osgi\\(com.sun.el\\)|osgi\\(com.jcraft.*\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^libQt5|^libboost_.*\\.so|^libcrypto|^libicudata|^libicuuc|^libicui18n|^libssl\\.so|^libprotobuf|^libqgif|^libqico|^libqjpeg|libqsvg|libqtga|libqtiff|libqwbmp|libqxcb|^libspawner|^libstdc++|^libudev|^libunixfile|osgi\\(org.apache.*\\)|osgi\\(org.antlr.*\\)|osgi\\(org.mozilla.*\\)|osgi\\(org.w3c.*\\)|osgi\\(org.eclipse.*\\)|osgi\\(com.ibm.*\\)|osgi\\(javaewah\\)|osgi\\(javax.*\\)|osgi\\(com.sat4.*\\)|osgi\\(com.lowagie.*\\)|osgi\\(com.sun.el\\)|osgi\\(com.jcraft.*\\)|libcuhook\\.so

%description
NVIDIA® CUDA™ is a general purpose parallel computing architecture
that leverages the parallel compute engine in NVIDIA graphics
processing units (GPUs) to solve many complex computational problems
in a fraction of the time required on a CPU. It includes the CUDA
Instruction Set Architecture (ISA) and the parallel compute engine in
the GPU. To program to the CUDA™ architecture, developers can, today,
use C++, one of the most widely used high-level programming languages,
which can then be run at great performance on a CUDA™ enabled
processor. Support for other languages, like FORTRAN, Python or Java,
is available from third parties.

This package contains the binaries of the numerous CUDA code samples
(formerly CUDA SDK).

%prep
%setup -T -c %{name}-%{version}

%build
cp -pr %{_datadir}/nvidia-cuda-toolkit/samples .
cd samples
%make_build CCFLAGS="-O2"

%install
install -d -m 755 %{buildroot}%{_datadir}/nvidia-cuda-toolkit/samples/bin/x86_64/linux/release/
cp -pr samples/bin/x86_64/linux/release/* %{buildroot}%{_datadir}/nvidia-cuda-toolkit/samples/bin/x86_64/linux/release/

%files
%dir %{_datadir}/nvidia-cuda-toolkit/samples/bin/x86_64
%dir %{_datadir}/nvidia-cuda-toolkit/samples/bin/x86_64/linux
%dir %{_datadir}/nvidia-cuda-toolkit/samples/bin/x86_64/linux/release
%attr(755,root,root) %{_datadir}/nvidia-cuda-toolkit/samples/bin/x86_64/linux/release/*


%changelog
* Tue Jan 04 2022 ghibo <ghibo> 11.4.3-1.mga8
+ Revision: 1766867
- Sync with nvidia-cuda-toolkit 11.4.3

* Sun Jan 31 2021 ghibo <ghibo> 11.2.0-3.mga8.nonfree
+ Revision: 1674250
- Add openmpi to Requires

* Sat Jan 02 2021 ghibo <ghibo> 11.2.0-2.mga8.nonfree
+ Revision: 1668239
- Re-enable cudaNvSci sample, fixed upstream

* Fri Jan 01 2021 ghibo <ghibo> 11.2.0-1.mga8.nonfree
+ Revision: 1668009
- Update to release 11.2.0

* Tue Jun 30 2020 ghibo <ghibo> 10.2.89-1.mga8.nonfree
+ Revision: 1600558
- Lower compatibility level to gnu++03
- Update to release 10.2.89

* Sun May 10 2020 ghibo <ghibo> 10.1.243-2.mga8.nonfree
+ Revision: 1582812
- Fix building with g++ 10.x
- Update to release 10.1.243
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun May 19 2019 ghibo <ghibo> 10.1.168-1.mga7.nonfree
+ Revision: 1398526
- Update to release 10.1.168

* Thu Mar 21 2019 ghibo <ghibo> 10.1.105-4.mga7.nonfree
+ Revision: 1379441
- Remove explicit nvidia in Requires (seems no longer working after
  nvidia-current upgrade).
- Rebuilt.

* Wed Mar 20 2019 ghibo <ghibo> 10.1.105-3.mga7.nonfree
+ Revision: 1379188
- Add lib egl dependencies in BuildRequires

* Wed Mar 20 2019 ghibo <ghibo> 10.1.105-2.mga7.nonfree
+ Revision: 1379157
- Add missed libgomp-devel

* Tue Mar 19 2019 ghibo <ghibo> 10.1.105-1.mga7.nonfree
+ Revision: 1379013
- Use %%make_build
- Limit number of parallel cuda process during building
- imported package nvidia-cuda-toolkit-samples-bins


* Fri Mar 15 2019 ghibo <ghibo> 10.1.105-1.mga7
- Initial release.
